apply plugin: 'com.android.library'
apply plugin: 'com.jakewharton.butterknife'
android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"
        flavorDimensions "default"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

        javaCompileOptions {

            annotationProcessorOptions {

                arguments = [moduleName: project.getName()]

            }
        }

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    productFlavors {
        //开发环境
        dev {
        }

        sit {
        }

        pro {
        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    api 'com.jakewharton:butterknife:9.0.0-rc1'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    annotationProcessor 'com.jakewharton:butterknife-compiler:9.0.0-rc1'
    annotationProcessor 'com.alibaba:arouter-compiler:1.1.4'
    implementation 'com.alibaba:fastjson:1.2.21'
    // 图片编辑库，
    implementation 'cc.aoeiuv020:imaging:1.0'
    api project(':RvWrapper')
    api project(':component_resource')
    api project(':component_utils')

}
